Download the latest version here: www.paderdesign.de
------------------------------------------------------------------

### GIGKALENDER CHANGELOG ###
v1.2.75_017: replaced install/index3.php with install/index4.php => removed donation buttons during installation
v1.2.75_016: into help/donate.php: removed the Flattr donation option
v1.2.75_015: migrated file includes/donate.php into help/donate.php
v1.2.75_014: Bugfix: admin\delUser.php: Blocked misusing GET var 'uid' to delete own admin account.
v1.2.75_013: Bugfix: admin\showUsers.php: it was possible to delete own admin account => removed the delete icon for own user
v1.2.75_012: Bugfix: functions\standard.php.logout():992: Cause a warning on logout about session_name() => session_name() got removed
v1.2.75_011: Bugfix: calendar\includes\addGig\GigCity.php:8: when back-end language is English, "Location" has to be "City"
v1.2.75_010: Bugfix: calendar\showGigDetails.php:40: Undefined variable: GigLocation
v1.2.75_009: Bugfix: calendar\backend_addGig.php:205: removed deprecated each() by using foreach() instead of while()
v1.2.75_008: Bugfix: admin\includes\editAttributes.php:196: removed deprecated each() by using foreach() instead of while()
v1.2.75_007: Bugfix: functions/standard.getFrontendURL(): parse_str: deprecated without second argument => rewritten entire function
v1.2.75_006: Bugfix: help/threads.php:100: Fixed error "Function name must be a string" on mysqli_close
v1.2.75_005: Footer: changed http to https in url of paderdesign.de
v1.2.75_004: Updated installation.txt
v1.2.75_003: Bugfix: Backend>Admin>User>Edit User: displays permanently "Session: Offline"
v1.2.75_002: index.php: JavaScript loading uses SWITCH now, instead of a bunch of IFs
v1.2.75_001: Bugfix: index.php: wrong placed </div> tag
v1.2.75: Updated embedded CKEditor to version 4.10.0
v1.2.74_010: Bugfix: Backend>Admin>User: Can neither edit nor add users => removed token() from addUser.php
v1.2.74_009: Bugfix: functions/import/12/setup.php: fgetcsv(): max line length set to 0 (=unlimited)
v1.2.74_008: Bugfix: help/threads.php: changed all url protocolls from HTTP to HTTPS
v1.2.74_007: Bugfix: help/forum.php: changed all url protocolls from HTTP to HTTPS
v1.2.74_006: Bugfix: calendar/showGigDetails:40: "Notice: Array to string conversion": $$Attributes[$i]!='' => ${$Attributes[$i]}!=''
v1.2.74_005: Bugfix: functions/standard.php:355: preg_match for Timestamps: '(/[0-9]{9,10})/' => '/([0-9]{9,10})/'
v1.2.74_004: Bugfix: includes/header.php:17: removed redundant slash / from path to favicon
v1.2.74_003: calendar/showGigDetails.php:46: removed empty table row
v1.2.74_002: calendar/showGigDetails.php:25: removed empty table row
v1.2.74_001: calendar/showGigDetails.php:36: fixed the issue with the empty string of $GigLocation
v1.2.74: Gallery: Alternate Text (Alt) shows picture file name, if image description text-file is empty (improvement for search engine picture search)
v1.2.73_002: Bugfix: gallery/gallery_entry.php: removed there counter
v1.2.73_001: Bugfix: gallery/gallery_entry.php:64: Gallery shows the album icons twice
v1.2.73: Updated embedded CKEditor to version 4.5.10
v1.2.72_002: MySQL-Database-Update: News: 'LastEditor' may have up to 20 characters now
v1.2.72_001: MySQL-Database-Update: News: 'AddedFrom' may have up to 20 characters now
v1.2.72: Changes in Gallery: It automatically generates Thumbnails and scaled Images from files in the 'original' folder.
13 v1.2.71_041: installation.txt: Added a hint about tutorials and fixed a typo
13 v1.2.71_040: replaced ALL deprecated functions mysql_close() with mysqli_close()
13 v1.2.71_039: replaced ALL deprecated functions mysql_error() with mysqli_error()
13 v1.2.71_038: replaced ALL deprecated functions mysql_select_db() with mysqli_select_db()
13 v1.2.71_037: replaced ALL deprecated functions mysql_query() with mysqli_query()
13 v1.2.71_036: replaced ALL deprecated functions mysql_fetch_row() with mysqli_fetch_row()
13 v1.2.71_035: replaced ALL deprecated functions mysql_real_escape_string() with mysqli_real_escape_string()
13 v1.2.71_034: replaced ALL deprecated functions mysql_num_rows() with mysqli_num_rows()
13 v1.2.71_033: replaced ALL deprecated functions mysql_fetch_array() with mysqli_fetch_array()
13 v1.2.71_032: replaced ALL deprecated functions mysql_fetch_assoc() with mysqli_fetch_assoc()
13 v1.2.71_031: replaced ALL global $db_name; with global $db;
13 v1.2.71_030: replaced ALL deprecated functions mysql_db_query() with mysqli_query()
13 v1.2.71_029: gigkalender.ini.php: added mysqli_select_db();
13 v1.2.71_028: install/deinstall.php: replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_027: functions/standard.php:addUser(): replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_026: functions/standard.php:testDoppelteUser(): replaced deprecated function mysql_fetch_row() with mysqli_fetch_row()
13 v1.2.71_025: functions/standard.php:testDoppelteUser(): replaced deprecated function mysql_num_rows() with mysqli_num_rows()
13 v1.2.71_024: functions/standard.php:testDoppelteUser(): replaced deprecated function mysql_query() with mysqli_query()
13 v1.2.71_023: functions/standard.php:addUser(): replaced deprecated function mysql_real_escape_string() with mysqli_real_escape_string()
13 v1.2.71_022: install/iniNews.php:26: replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_021: install/iniGuestbook.php:28: replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_020: install/iniGigs.php:70: replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_019: install/iniUser.php:32: replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_018: install/iniSetup.php:161: replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_017: install/iniSetup.php:58: replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_016: install/index2.php:36: replaced deprecated function mysql_query() with mysqli_query()
13 v1.2.71_015: functions/standard.php:isDatabasePresent(): replaced deprecated function mysql_select_db() with mysqli_select_db()
13 v1.2.71_014: install/index2.php:28: replaced deprecated function mysql_get_server_info() with mysqli_get_server_info()
13 v1.2.71_013: functions/standard.php:getUID(): replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_012: functions/standard.php:loggedIn(): replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_011: functions/standard.php:getCurrentUserVar(): replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_010: functions/standard.php:logoutInactiveUser(): replaced deprecated function mysql_db_query() with mysqli_query()
13 v1.2.71_009: functions/standard.php:getSetup(): replaced deprecated function mysql_db_query() with mysqli_query()
13 -v1.2.71_008: gigkalender.ini.php:84: replaced deprecated function mysql_query with mysqli_query
13 v1.2.71_007: gigkalender.ini.php:82: replaced deprecated function mysql_connect with mysqli_connect
13 v1.2.71_006: installation.txt: Optimized the instructions
13 v1.2.71_006: guestbook/functions.php:203: changed 'word' into 'blocked-word' to be more unique in log files
13 v1.2.71_005: guestbook/functions.php:214: changed 'code' into 'blocked-character' to be more unique in log files
13 v1.2.71_004: guestbook/functions.php:210: changed 'domain' into 'blocked-url' to be more unique in log files
13 v1.2.71_003: guestbook/functions.php:190: changed 'ip' into 'blocked-ip' to be more unique in log files
13 v1.2.71_002: guestbook/functions.php:184: changed 'url' into 'hidden-url' to be more unique in log files
13 v1.2.71_002: guestbook/functions.php: messageIsSpam(): Changed order off filters to improve performance
v1.2.71_001: calendar/includes/addGig/autocomplete: JQuery-UI updated to v1.10.3 including updating JQuery to v1.9.1
v1.2.71:  New Feature: editor: Switched the internal editor from TinyMCE Editor to CKEditor
13 v1.2.70_006: frontend/images: new Atom and RSS Feed icons as SVG and PNG
13 v1.2.70_005: frontend/example_formate.css:200: .GigKalender .NewsEntryHeadline {... font-size: 1em;}
13 v1.2.70_004: news/news.php: 57: Changed "<div class="NewsEntryHeadline">" into "<h2 class="NewsEntryHeadline">"
v1.2.70_003: Updated Editor to version 3.5.7
v1.2.70_002: Bugfix: admin/showUsers.php: restructure the source code
v1.2.70_001: Bugfix: admin/showUsers.php: Logged in as User it was possible to display the page 'showUsers' by changing the var 'inhalt' in the url.

v1.2.70: New Feature: news/backend_showAllNews: New Button (iBrowser) to upload images
v1.2.69: New Feature: news/backend_showAllNews: New Multimedia button to insert different kind of multimedia
v1.2.68: New Feature: news/backend_showAllNews: New Image button to insert images
v1.2.67: New Feature: news/backend_showAllNews: New Print button to print the news entry
v1.2.66_014: Format of location (Country, PostalCode, City, District) defineable in gigkalender.ini.php
v1.2.66_013: Bugfix: gigkalender.ini.php:10: a missing slash at the end of the URL can cause issues in the entire system
v1.2.66_012: calendar/includes/addGig/autocomplete: JQuery-UI updated to v1.8.17 including updating JQuery to v1.7.1
v1.2.66_011: Bugfix: guestbook/guestbook_delete.php:63: output of the IP not necessary => removed
v1.2.66_010: Bugfix: calendar/includes/frontend/GigIsPrivate.php: It just says Yes or No in list view, which makes no sense => now it says Public oder Private
v1.2.66_009: functions/standard.php:1462: improved code in AnzahlTagedesMonats()
v1.2.66_008: functions/standard.php:1108: improved code in TimestampAusDatum()
v1.2.66_007: index.php:103: changed some lines, so only one loggedIn() call is used => better performance
v1.2.66_006: added the Admin/User idenfication to calendar/backend_year-generate.php, like in v1.2.66_005
v1.2.66_005: calendar/backend_month-html.php:22: moved the Admin/User idenfication to calendar/backend_year-generate.php => better performance
v1.2.66_004: calendar/backend_month-html.php:37: Changed some lines to reduce database requests => better performance
v1.2.66_003: guestbook/guestbook_delete.php:65: unnecessary function call print_r()
v1.2.66_002: calendar/includes/addGig/autocomplete: JQuery-UI updated to v1.8.16 including updating JQuery to v1.6.2
v1.2.66_001: Bugfix: guestbook/guestbook_delete.php:62: Avoiding blocking the same IP multiple times
v1.2.66: New Feature: Blocking IPs of guestbook spam while deleting from the page
v1.2.65_009: moved favicon.ico to images/favicon.ico
v1.2.65_008: file '/phpinfo.php' removed
v1.2.65_007: Bugfix: guestbook/guestbook_add.php: 165: Cancel-button returned to wrong page sometimes
v1.2.65_006: Bugfix: frontend: calendar: list view: comma behind last gig attribute unnecessary
v1.2.65_005: update.sql.php: calls clearCache() to clear the cache
v1.2.65_004: update.sql.php: calls writeAllFeeds() to rewrite all news feeds
v1.2.65_003: Bugfix: admin/import.php: with register_globals=ON GigKalender forgets which checkboxes were checked
v1.2.65_002: admin/import.php: Button 'No' removed
v1.2.65_001: Bugfix: admin/import.php: offered non-GigKalender files (e.g. import/gigs.txt) checkboxes to get imported
v1.2.65: New Feature: Frontend: Add Gig & Add News: Format editor: New button to remove formats added by the editor
v1.2.64_010: Bugfix: editor/editor.php:28: Umlauts in Gig-Notes are saved and displayed as 'named' entities > changed to 'raw'
v1.2.64_009: Bugfix: news/backend_showAllNews.php:109: mouse hover title of column 'Title' missing
v1.2.64_008: gigkalender.ini.php:83: Version number now included from includes/version.php
v1.2.64_007: calendar/showGigDetails.php: shows only one date now when multiple gigs are listed
v1.2.64_006: Bugfix: calendar/showGigDetails.php: Back-button too long > add class 'submitButton'
v1.2.64_005: calendar/showGigDetails.php: added a line between gigs
v1.2.64_004: Bugfix: calendar/showGigDetails.php: Back-button too long > add class 'submitButton'
v1.2.64_003: Bugfix: calendar/showGigDetails.php: showed multiple Back-buttons when more than one gig was listed
v1.2.64_002: gallery/functions.php:76: getArrayOfImagesInFolder(): subfolder were counted too > is_file() to avoid it
v1.2.64_001: added a license file for JQuery-UI: calendar/includes/addGig/autocomplete/MIT-LICENSE.txt
v1.2.64: New Feature: Links to event details in the frontend calender list/table ('more...') can be switched on and off.
v1.2.63_127: calendar/includes/addGig/autocomplete: JQuery-UI updated to v1.8.13 including updating JQuery to v1.5.1
v1.2.63_126: functions/functionsstandard.php: 508: function TimeStampAusDatumMitUhrzeit() removed
v1.2.63_125: guestbook/functions.php: GuestbookNavigation(): 337: ereg_replace() > preg_replace() (ereg_replace() is deprecated since PHP 5.3)
v1.2.63_124: news/functions.php: NewsNavigation(): 261: ereg_replace() > preg_replace() (ereg_replace() is deprecated since PHP 5.3)
v1.2.63_123: functions/standard.php: checkEmail(): 754: added strtolower($email)
v1.2.63_122: functions/standard.php: checkEmail(): 754: eregi() > preg_match() (eregi() is deprecated since PHP 5.3)
v1.2.63_121: functions/standard.php: checkICQNumber():535: eregi() > preg_match() (eregi() is deprecated since PHP 5.3)
v1.2.63_120: functions/standard.php: convertISO8601ToTimestamp():345: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_119: functions/standard.php: convertISO8601ToTimestamp():337: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_118: functions/standard.php: convertISO8601ToTimestamp():311: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_117: functions/standard.php: convertISO8601ToTimestamp():281: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_116: functions/standard.php: getFrontendURL():184: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_115: guestbook/guestbook_mail.php:105: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_114: guestbook/guestbook_add.php:147: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_113: guestbook/functions.php:320: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_112: guestbook/functions.php:200: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_111: news/functions.php:245: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_110: calendar/includes/fronted/GigDetailsLink.php:11: ereg() > preg_match() (ereg() is deprecated since PHP 5.3)
v1.2.63_109: frontend/example_formate.css:91 removed entire definition ".GigKalender .GuestbookErrorMessages"
v1.2.63_108: all declarations for CSS class "GuestbookErrorMessages" renamed into "ErrorMessage"
v1.2.63_107: all declarations for CSS class "Fehlermeldung" renamed into "ErrorMessage"
v1.2.63_106: guestbook/guestbook_add.php:164: class "submitButton" added to make text bold
v1.2.63_105: guestbook/guestbook_mail.php:127: class "submitButton" added to make text bold
v1.2.63_104: frontend/example_formate.css:98: "width: 20em;"
v1.2.63_103: guestbook/guestbook_add.php:165: new button "Cancel"
v1.2.63_102: guestbook/guestbook_mail.php:128: new button "Cancel"
v1.2.63_101: Bugfix: guestbook/guestbook_mail.php:127: no language var set for submit button value
v1.2.63_100: languages/*.php:30: "Status" changed into "Role"
v1.2.63_099: Bugfix: Backend: Admin: Setup: Front End: Attributes in detail view: Editor: after deactivating all attributes: Notice: Undefined variable: L_ > Using array_filter(explode()) instead of explode() in lines 29-32 and 124-127
v1.2.63_098: Bugfix: Backend: Admin: Setup: Front End: Attributes in detail view: Button 'All' set the attributes of the common frontend view (not detail) > admin/includes/setup/javascript.php: 31+32: defined the correct var $allFrontendDetailAttributes
v1.2.63_097: Bugfix: Frontend: Calendar: Table view: line breaks in table header > frontend/example_formate.css: 21: white-space: nowrap;
v1.2.63_096: Bugfix: Frontend: Calendar: some mouse over titles got capped too > calendar/includes/frontend/subString.php: optimized
v1.2.63_095: new PaderDesign icon for the back-end footer
v1.2.63_094: $SetupFrontendTimeFormat can be defined in gigkalender.ini.php
v1.2.63_093: all files in calendar/includes/frontend optimized
v1.2.63_092: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/GigVisitors.php: optimized
v1.2.63_091: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/GigEnding.php: optimized
v1.2.63_090: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/GigStageBuilding.php: optimized
v1.2.63_089: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/GigLineup.php: optimized
v1.2.63_088: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/GigOrganizer.php: optimized
v1.2.63_087: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/GigBeginning.php: optimized
v1.2.63_086: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/GigEvent.php: optimized
v1.2.63_085: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/GigArtist.php: optimized
v1.2.63_084: Bugfix: Frontend: Calendar: Table: unescaped & should be written as &amp; > calendar/includes/frontend/subString.php: optimized
v1.2.63_083: Bugfix: guestbook/includes/showAllGuestbookEntries/GuestbookURL.php:7: mouse hover don't show up
v1.2.63_082: Bugfix: guestbook/includes/showAllGuestbookEntries/GuestbookEmail.php:7: mouse hover don't show up
v1.2.63_081: file renamed: calendar/includes/frontend/showGigDetails.php > GigDetailsLink.php
v1.2.63_080: Bugfix: guestbook/guestbook_mail.php:41: double colons (:) in mail subject
v1.2.63_079: Bugfix: Undefined index: message in guestbook/guestbook_mail.php on line 20
v1.2.63_078: added an UTF-8 char-set definition to all form tags (accept-charset="UTF-8")
v1.2.63_077: Bugfix: Undefined variable: CODE in guestbook/functions.php on line 245
v1.2.63_076: Editor can be resized horizontal too
v1.2.63_075: Updated Editor to version 3.4.2
v1.2.63_074: languages/english.php:393: "Members View" changed into "Members" (analog in deutsch.php)
v1.2.63_073: Bugfix: update.sql.php:8: caused a MySQL-error on some systems
v1.2.63_072: Bugfix: Exported gig.csv of v1.2.63_044 can contain "NULL" as Postal Code > functions/standard.php:addGig():1237
v1.2.63_071: Bugfix: v1.2.63_043 caused "NULL" in empty Postal Code fields > via MySQL setting those to empty string ""
v1.2.63_070: Bugfix: languages/english.php: several "sent" changed into "send"
v1.2.63_069: Bugfix: functions/import/080225/setup.php:49: SetupShowEditorInAddGigForm = '1'"; (Import could switch off the Editor again)
v1.2.63_068: Bugfix: functions/import/11/setup.php:49: SetupShowEditorInAddGigForm = '1'"; (Import could switch off the Editor again)
v1.2.63_067: Bugfix: functions/import/12/setup.php:49: SetupShowEditorInAddGigForm = '1'"; (Import could switch off the Editor again)
v1.2.63_066: help/threads.php: date and author of last post combined in one column with Standard date representation ISO 8601 'Y-m-d' and time
v1.2.63_065: help/threads.php: Arrow to last topic changed
v1.2.63_064: Bugfix: calendar/backend_selectGig.php:112: gives out wrong date format > changed like in backend_showAllGigs.php
v1.2.63_063: Bugfix: adding an event with empty PostalCode saves 'NULL' into database > functions/standard.php:1231: line removed
v1.2.63_062: gigkalender.ini.php: Standard date representation is now the international standard ISO 8601 'Y-m-d'
v1.2.63_061: user/editCurrentUser.php:52: If user changes language the cache will be cleared
v1.2.63_060: Bugfix: languages/english.php: several misspellings corrected
v1.2.63_059: Bugfix: languages/deutsch.php: several misspellings corrected
v1.2.63_058: languages/english.php: each 'Backend' changed into 'Back End'
v1.2.63_057: languages/english.php: each 'Frontend' changed into 'Front End'
v1.2.63_056: languages/deutsch.php: each 'Backend' changed into 'Back-End'
v1.2.63_055: languages/deutsch.php: each 'Frontend' changed into 'Front-End'
v1.2.63_054: Backend: Admin: Setup: Show editor in form: field is always checked and inactive, so the editor will always be active.
v1.2.63_053: Backend: Admin: Setup (setup.php): moved "Lines in Textareas" below "Allow double dates"
v1.2.63_052: languages/english.php:159 "Export/Import-Separator:" > "Import/Export Delimiter:"
v1.2.63_051: help/donate.php:12: open a new window when form is send
v1.2.63_050: languages/english.php:311: sentence rewritten
v1.2.63_049: languages/english.php:310: sentence rewritten
v1.2.63_048: Bugfix: languages/english.php:309: typing mistakes > sentence rewritten
v1.2.63_047: install/index.php:32: New button name 'Agreed!'
v1.2.63_046: gallery/templates/gallery_entry.php:28: "Bilder" translated into "Images"
v1.2.63_045: Bugfix: Frontend: Gallery: included TXT-files showed a ? when embedded into an ANSI website > saved again without Ident.Bytes/BOM
v1.2.63_044: MySQL-Database-Update: Backend: Usernames may have up to 20 characters now
v1.2.63_043: MySQL-Database-Update: Backend: Calendar: Add Gig: Postal Code: accepts characters too
v1.2.63_042: install/index2php:27: added a clearCache() call
v1.2.63_041: calendar/backend_addGig.php:231: added button 'Reset'
v1.2.63_040: user/editCurrentUser.php:85: removed button 'Cancel'
v1.2.63_039: gigkalender.ini.php:15: $CharsGuestbookListFields increased to 36
v1.2.63_038: gigkalender.ini.php:14: $CharsCalenderListFields increased to 22
v1.2.63_037: mail/mail.php: input fields for 'Sender' and 'Recipient' grayed out with CSS class 'DisabledTextarea'
v1.2.63_036: languages/english.php: all strings 'eMail' changed into 'Email'
v1.2.63_035: languages/deutsch.php: all strings 'eMail' changed into 'Email'
v1.2.63_034: install/iniSetup.php:70: $SetupGuestbookSpamWords: some words removed
v1.2.63_033: folder guestbook/includes/addGuestbookEntry removed
v1.2.63_032: file includes/reloadblocker.php removed
v1.2.63_031: file includes/fuzzing.user.js removed
v1.2.63_030: file images/update.gif removed
v1.2.63_029: file images/rss.svg removed
v1.2.63_028: file images/logout.gif removed
v1.2.63_027: file images/login.gif removed
v1.2.63_026: file images/kalender_zukunft.gif removed
v1.2.63_025: file images/kalender_vergangenheit.gif removed
v1.2.63_024: file images/gigs.gif removed
v1.2.63_023: help/threads: translated into english
v1.2.63_022: history.txt renamed into changelog.txt
v1.2.63_021: Backend: Help: Forum: adjusted iFrame height
v1.2.63_020: Bugfix: RSS-Validator: description should not contain relative URL references > editor/editor.php:30 > convert_urls : false
v1.2.63_019: file editor/editor2.php removed
v1.2.63_018: Bugfix: Backend: After logging out menus and content was still visible > functions/standard.php:loggedIn(): session_id() returned empty string
v1.2.63_017: functions/standard.php:getGoogleMapsURL(): Google-Maps-URL changed, with browser language selector
v1.2.63_016: Bugfix: Backend: Calendar: List: HTML-Tidy says "<…> escaping malformed URI reference” > functions/standard.php:getGoogleMapsURL(): using rawurlencode() now
v1.2.63_015: Bugfix: Backend: Calendar: List: HTML-Tidy says "unescaped & or unknown entity &..." > calendar/includes/showAllGigs/GigEvent.php > htmlspecialchars() on both vars
v1.2.63_014: new icon for images/show.gif > show.png
v1.2.63_013: styles/gigkalender.css optimized
v1.2.63_012: Backend:Help:Donation: Flattr-Button added and PayPal-Button updated
v1.2.63_011: news/functions.php: writeAtomFeed():113: changed the tag <updated>
v1.2.63_010: news/functions.php: writeAtomFeed():115: added the tag <published>
v1.2.63_009: news/functions.php: writeAtomFeed():114: added the tag <link rel="alternate" href="'.$URL.'" />
v1.2.63_008: styles/gigkalender_print.css:18: 0.1em > 1px
v1.2.63_007: Bugfix: Backend: Calendar: List: gigkalender_print_sw.css not loaded > includes/header.php:19: showAllGigs > backend_showAllGigs
v1.2.63_006: file readme.txt removed
v1.2.63_005: regarding to Bugfix v1.2.61_073: each "0.05em" changed into "1px"
v1.2.63_004: Bugfix: Backend: border frames not displayed in Opera and Webkit > styles/gigkalender.css: each "0.05em" changed into "1px"
v1.2.63_003: Bugfix: standard/functions.php: isEmailDomainValid(): Fails on Windows servers when exec() is disabled > function rewritten
v1.2.63_002: File renamed: gallery/images/Example_Images.pspimage > gallery_example_images.pspimage
v1.2.63_001: File renamed: gallery/images/Icons.pspimage > gallery_icons.pspimage
v1.2.63: New Feature to Rewrite News Feeds in the Backend under Admin>Tools
v1.2.62: New Feature to Clear Cache in the Backend under Admin>Tools
v1.2.61_069: Translated installation.txt to english
v1.2.61_068: Bugfix: Admin: List/Guestbook/News: Changing entries per page in page navigation throws "Notice: Array to string conversion in index.php on line 23" --> index.php:23: added " AND !is_array($value)"
v1.2.61_067: Bugfix: Admin: List/Guestbook/News: Changing entries per page in page navigation throws "Notice: Array to string conversion in index.php on line 18" --> index.php:18: added " AND !is_array($value)"
v1.2.61_066: Bugfix: Admin: Import: Gigs: Venue: Import of "xxx'xxx" becomes "xxx\'xxx" in database --> functions\import\12\gigs.php > removed for-Loop in Line12
v1.2.61_065: Bugfix: Admin: Import: Guestbook: Name: Import of "QM'ler" becomes "QM�ler" in database --> AltenEintragHinzufuegen() rewritten (like EintragHinzufuegen() with strip_tags() and mysql_real_escape_string() )
v1.2.61_064: Backend: Admin: Import: Guestbook: AltenEintragHinzufuegen(): Generating a new $Code not necessary > removed
v1.2.61_063: Bugfix: Backend: Calendar: Adding Gigs: In URL-fields Autocomplete shows the same URLs with and without a closing Slash if both is in database
v1.2.61_062: Bugfix: Frontend: CSS: If more than one view was embeddeded into a website more than one calls of id="GigKalender" were made > changed to class="GigKalender"
v1.2.61_061: Backend: Calendar, News, Guestbook: Default number of table raws set to 25.
v1.2.61_060: Bugfix: Frontend: Guestbook: Wrong URL for sign in the first entry when guestbook is empty and guestbook included into a website.
v1.2.61_059: Backend: Admin: Setup: Frontend: Zeitraum: Hinweis hinzugefügt, dass es sich nur auf 'calendar.php' bezieht.
v1.2.61_058: Bugfix: Frontend: calendar_past.php: table: Zeitraum abhängig von Einstellung im Setup
v1.2.61_057: Bugfix: Frontend: Kalender: table: Monatstrenner wird nach jedem Tag angezeigt.
v1.2.61_056: Bugfix: Frontend: gleichzeitiges Einbinden von calender.php und calendar_past.php zeigt jeweils nur die erste Einbindung.
v1.2.61_055: functions/standard.php/getGoogleMapsURL():195: 'Kreis' wird an Google übergeben, wenn vorhanden aber 'Stadt' nicht.
v1.2.61_054: install/iniSetup.php:61: $SetupRowsTextareas = 5;
v1.2.61_053: install/iniSetup.php:75: $SetupAllowDoubleDates = '1';
v1.2.61_052: install/iniSetup.php:90: $SetupShowEditorInAddGigForm = '1';
v1.2.61_051: install/iniSetup.php:71: $SetupUserMaximumInactivityTime = "30";
v1.2.61_050: Backend: Hilfe: Forum: iFrame höher gemacht
v1.2.61_049: Bugfix: Datensätze mit Interger-Werten lassen sich im MySQL-Strict-Modus(?) nicht anlegen:
  folgende Variabeln als NULL definiert (if=='') und Quotes in MySQL-Statements entfernt:
    functions/standard.php:
      addGig(): GigPostalCode, GigPublish, GigIsPrivate, GigDateOfLastEdit, GigDateOfAdding
    functions/standard.php:
      editSetup(): SetupRefreshtime, SetupRowsTextareas, SetupGuestbookEntriesPerPage, SetupGuestbookEntriesUnlock, SetupUserMaximumInactivityTime, SetupNewsEntriesPerPage, SetupFrontendAllowOptionalGigs, SetupFrontendAllowPrivateGigs, SetupAllowDoubleDates, SetupFrontendCalendarCharsInFields, SetupFrontendCalendarShowTableHeads, SetupFrontendCalendarMaxAmountOfGigs, SetupFrontendCalendarShowMonthlySeparator, SetupShowEditorInAddGigForm
    guestbook/functions.php:
      EintragHinzufuegen(): Datum, ICQ, CODE
      AltenEintragHinzufuegen(): Datum, ICQ, CODE
    cms/functions.php:
      addMenuItem(): MenuItemSequence
    news/functions.php:
      addNews(): Date, DateOfLastEdit, Publish
      changePublishing(): DateOfLastEdit, Publish
      importNewsEntry(): Date, DateOfLastEdit, Publish
    functions/standard.php:
      addUser(): UserLastActivityTimestamp, UserRightEmail, UserRightAddNews, UserRightEditNews, UserRightDeleteNews
    functions/standard.php:
      editUser(): UserRightEmail, UserRightAddNews, UserRightEditNews, UserRightDeleteNews
  Bedingung bzgl NULL angepasst:
    guestbook/includes/showAllGuestbookEntries/GuestbookICQ.php/7
    guestbook/guestbook_show.php/56
v1.2.61_048: installation.txt: Systemanforderungen angepasst
v1.2.61_047: functions/standard.php: GetTooltip($Timestamp): optimiert bzgl Zeilenumbrüche
v1.2.61_046: Bugfix: Rückgängig gemacht: v1.2.61_036: (Verursache Fehler im Frontend)
v1.2.61_045: Backend: Kalender: Jahr: Tooltipps werden nun auch bei Option, Gesperrt und Probe angezeigt, inkl. 'Notizen'.
v1.2.61_044: Datei styles/gigkalender.css11 entfernt
v1.2.61_043: updateSetup.php: foreach-Schleife angepasst wie in Bugfix v1.2.61_031
v1.2.61_042: import.php: foreach-Schleife angepasst wie in Bugfix v1.2.61_031
v1.2.61_041: current-month.php: foreach-Schleifen angepasst wie in Bugfix v1.2.61_031
v1.2.61_040: calendar_past.php: foreach-Schleifen angepasst wie in Bugfix v1.2.61_031
v1.2.61_039: calendar.php: foreach-Schleifen angepasst wie in Bugfix v1.2.61_031
v1.2.61_038: addPage.php: foreach-Schleife angepasst wie in Bugfix v1.2.61_031
v1.2.61_037: addMenuItem.php: foreach-Schleife angepasst wie in Bugfix v1.2.61_031
v1.2.61_036: gallery.php: foreach-Schleife angepasst wie in Bugfix v1.2.61_031
v1.2.61_035: guestbook_add.php: foreach-Schleife angepasst wie in Bugfix v1.2.61_031
v1.2.61_034: backend_addGuestbookEntry.php: foreach-Schleife angepasst wie in Bugfix v1.2.61_031
v1.2.61_033: backend_addNews.php: foreach-Schleife angepasst wie in Bugfix v1.2.61_031
v1.2.61_032: index.php: foreach-Schleifen angepasst wie in Bugfix v1.2.61_031
v1.2.61_031: Bugfix: backend_addGig.php: Hochkommata auf Servern mit magic_quotes_gpc=Off escaped > foreach-Schleife angepasst
v1.2.61_030: Bugfix: Kalendar: backend_addGig: Notizen: TinyMCE escaped Anführungszeichen in URLs
v1.2.61_029: Bugfix: News: backend_addNews.php: Text: TinyMCE escaped Anführungszeichen in URLs
v1.2.61_028: frontend/example_formate.css > Deklaration der Schriftart entfernt
v1.2.61_027: Gallery: gleiche Sortierierung für Bilder wie für Alben
v1.2.61_026: Bugfix: Gallery: Alben auf 1&1-Servern falsch sortiert
v1.2.61_025: Bugfix: news/functions.php/importNewsEntry(): Kein Import von News mit ; in Strings > String-Optimierung wie in addNews()
v1.2.61_024: Bugfix: Notice: Undefined variable: XXX in calendar/list.php on line 11 > in calendar.php definiert
v1.2.61_023: admin/delUser.php: Button 'Benutzer' nicht selektiert (rot) während Löschvorgang
v1.2.61_022: admin/delUser.php: MySQL-Maskierung via mysql_real_escape_string() ergänzt.
v1.2.61_021: functions/standard.php: function getUserVar(): MySQL-Maskierung via mysql_real_escape_string() ergänzt.
v1.2.61_020: functions/standard.php: function addUser(): MySQL-Maskierung via mysql_real_escape_string() ergänzt.
v1.2.61_019: functions/standard.php: function editSetup(): MySQL-Maskierung via mysql_real_escape_string() ergänzt.
v1.2.61_018: functions/standard.php: function editCurrentUser(): MySQL-Maskierung via mysql_real_escape_string() ergänzt.
v1.2.61_017: functions/standard.php: function editUser(): MySQL-Maskierung via mysql_real_escape_string() ergänzt.
v1.2.61_016: news/functions.php: function editNews(): MySQL-Maskierung via mysql_real_escape_string() ergänzt.
v1.2.61_015: news/functions.php: function addNews(): MySQL-Maskierung via mysql_real_escape_string() ergänzt.
v1.2.61_014: guestbook/backend_addGuestbookEntry.php: MySQL-Maskierung via mysql_real_escape_string() ergänzt.
v1.2.61_013: guestbook/functions.php: function EintragHinzufuegen(): MySQL-Maskierung via mysql_real_escape_string() ergänzt.
v1.2.61_012: gallery/test.php entfernt.
v1.2.61_011: ./test.php entfernt.
v1.2.61_010: Bugfix: HTML-Kommentare in Gallery-Templates im PHP kommentiert
v1.2.61_009: Bugfix: Copyright im Quellcode in php-Dateien des Unterordners 'gallery' ergänzt.
v1.2.61_008: Bugfix: gallery/gallery.php: include("../includes/error_reporting.php"); eingefügt
v1.2.61_007: Bugfix: guestbook/guestbook_show.php: Falsche Dateiendung: guestbook_add.gif -> guestbook_add.png
v1.2.61_006: Bugfix: guestbook/guestbook_mail.php: Formular-Zeichensatz UTF-8 definiert
v1.2.61_005: Bugfix: guestbook/guestbook_add.php: Formular-Zeichensatz UTF-8 definiert
v1.2.61_004: Bugfix: functions/standard.php: function addGig(): MySQL-Maskierung via mysql_real_escape_string() ergänzt.
v1.2.61_003: Bugfix: Installationsroutine nur ausführbar, wenn MySQL-Version >= 4.1 ist.
v1.2.61_002: Bugfix: Installationsroutine fragt ab, ob die Datenbank vorhanden ist.
v1.2.61_001: Bugfix: Ausrufezeichen hinter 'GigKalender' im Titel des Backends entfernt.
v1.2.61: Frontend: Aktueller Monat: Anzahl zukünftiger & vergangener Monate lässt sich über gigkalender.ini.php begrenzen (kein Problem mit unendlichem Kalender für Suchmaschinen)
v1.2.60: Frontend: Vergangene Termine lassen sich im gleichen Layout wie der eigentlich Kalender einbinden.
v1.2.59_001: Bugfix: Rechtschreibfehler in english.php
v1.2.59: Beim Bearbeiten von Gästebuch-Eintragen aus dem Frontend oder aus Admin-eMails: Überprüfung ob Code des Eintrags und Eintrag selbst vorhanden, ansonsten Fehlermeldung.
v1.2.58_004: Bugfix: Nach Import sieht man Strings, die noch nicht in den language-Dateien erfasst sind.
v1.2.58_003: Bugfix: Backend: Admin: Benutzer: wenn Sprache nicht definigert, Fehler beim sofortigen Senden des Formulars in Passwordfeldern.
v1.2.58_002: Bugfix: Backend: FileSharing: Dateinamen mit Umlauten werden falsch dargestellt (äöü.css) -> ���.css
v1.2.58_001: Bugfix: Frontend: Gästebuch: Beim Anlegen neuer Einträge mit ungültiger eMail-Domain (test@xtest.de) führt dazu, dass keine Administrations-eMail verschickt wird.
v1.2.58: Frontend: Kalender: Datumsformat für GigDetails separat über gigkalender.ini.php formatierbar.
v1.2.57_006: Bugfix: Frontend: Gästebuch & News: Abstand zwischen Seitenzahlen im IE7 zu groß
v1.2.57_005: Bugfix: Frontend: Kalender: Monatsansicht: Ausrichtung des Wochentags ist linksbündig.
v1.2.57_004: Bugfix: Frontend: Kalender: Monatsansicht: keine Gig-Infos per Title-Tag verfügbar.
v1.2.57_003: Bugfix: Backend: Kalender: Jahr: XHTML-Fehler, wenn Anführungszeichen im Title-Tag.
v1.2.57_002: Bugfix: Backend: Kalender: Gig bearbeiten/hinzufügen: Notizen: Bei nachträglich deaktiviertem Editor werden nur bis 1000 Zeichen angezeigt.
v1.2.57_001: Bugfix: Frontend: Kalender: Jahr: Nach Monatswechel fehlt Markierung des aktuellen Tages -> alte Dateien im Cache.
v1.2.57: In gigkalender.ini.php können alle Datums- und Zeitangaben formatiert werden.
v1.2.56_005: guestbook_mail.php: stripslashes() und htmlspecialchars() auf Formular-Felder angewandt.
v1.2.56_004: addCurrentUser.php: stripslashes() und htmlspecialchars() auf Formular-Felder angewandt.
v1.2.56_003: Gästebuch: Spam-Filter: Reihenfolge der Filter geändert: Prüfung auf gesperrte Wörter als letzte.
v1.2.56_002: Bugfix: Gästebuch: Spam-Filter: Gesperrte Wörter, auf die eines der Satzzeichen ',', '.', ':' oder ';' folgt, werden nicht erkannt.
v1.2.56_001: Bugfix: Gästebuch: Spam-Filter: Gesperrte Wörter am Zeilenende werden nicht erkannt.
v1.2.56: Beim Löschen von Gästebuch-Eintragen aus dem Frontend oder aus Admin-eMails: Überprüfung ob Code des Eintrags und Eintrag selbst vorhanden, ansonsten Fehlermeldung.
v1.2.55_011: backend_addGig.php: stripslashes() und htmlspecialchars() auf Formular-Felder angewandt.
v1.2.55_010: backend_addNews.php: stripslashes() und htmlspecialchars() auf Formular-Felder angewandt.
v1.2.55_009: backend_addGuestbookEntry.php: stripslashes() und htmlspecialchars() auf Formular-Felder angewandt.
v1.2.55_008: guestbook_edit.php: stripslashes() und htmlspecialchars() auf Formular-Felder angewandt.
v1.2.55_007: guestbook_add.php: stripslashes() und htmlspecialchars() auf Formular-Felder angewandt.
v1.2.55_006: Bigfix: Gästebuch: Administrations-eMail enthält Quotes (\")
v1.2.55_005: Sprache der Gallery abhängig vom Setup des Frontends.
v1.2.55_004: gallery.ini.php mit gigkalender.ini.php verschmolzen
v1.2.55_003: Bigfix: Gallery: Wenn Variable $GalleryURL nicht gesetzt, ist der Link zur Galerie in der Navigation verkehrt.
v1.2.55_002: Bigfix: Backend: Kalender: Monat/Jahr: Erster Tag auf falschen Wochentag
v1.2.55_001: Bigfix: guestbook_edit.php: doppelter Doppelpunkt 'Nachricht::'.
v1.2.55: Jahres-Ansicht im Backend nutzt nun zwecks schnellerem Seitenaufbau einen Cache.
v1.2.54_006: CSS-Optimierung: alle Frontend-Ansichten linksbündig ausgerichtet.
v1.2.54_005: Bugfix: Gallery: Link zum Original-Bild falsch
v1.2.54_004: Frontend: Kalender: Überflüssiges Span-Element um Monatsnamen entfernt in Listen- und Tabellen-Ansicht
v1.2.54_003: Bugfix: Angabe des Kreises aus URL zu Google-Maps entfernt -> Orte wurden damit oft nicht gefunden.
v1.2.54_002: Bugfix: Backend: Autovervollständigen klappt nicht, wenn " im Datensatz enthalten.
v1.2.54_001: Bugfix: Backend: Import: v08: gigs.csv: UTF-8-Encodierung deaktiert.
v1.2.54: Foto-Gallery als Tool eingebunden (vorerst nicht über Backend administrierbar!)
v1.2.53_001: Bugfix: Backend: CSS-Fehler
v1.2.53: Autmatisches Vervollstädigen von Eingaben beim Hinzufügen von Terminen
v1.2.52_009: Log-File für Gästebuch-Spam speichert Version des GigKalenders.
v1.2.52_008: Bugfix: Frontend: News: Links der Seitennavigation & statt &amp;
v1.2.52_007: Bugfix: Backend: Kalender: Liste: Titel der Felder unvollständig, wenn " enthalten im jeweiligen String.
v1.2.52_006: Bugfix: Frontend: News: Links der Navigation: Zwei ? im Link-Query möglich
v1.2.52_005: Bugfix: Frontend: Gästebuch: Links der Navigation: Zwei ? im Link-Query möglich
v1.2.52_004: Bugfix: Frontend: Gästebuch: Link auf eMail-Formular: Zwei ? im Link-Query möglich
v1.2.52_003: Bugfix: Frontend: Kalender: Link auf GigDetails (mehr...): Zwei ? im Link-Query möglich
v1.2.52_002: Bugfix: in guestbook_mail.php sind ein paar Strings nicht als Language-Variable definiert.
v1.2.52_001: Bugfix: CSS-Anpassung für IE7
v1.2.52: In gigkalender.ini.php kann mit der Variable $SetupWriteGuestbookSpamLog das Loggen von geblockten Gästebuch-Einträgen und -Mails aktiviert werden.
v1.2.52: Frontend: Gästebuch: Test auf unzulässige Zeichen, zb. &#100
v1.2.51: Frontend: Gästebuch- und News zeigen die Seitennavigation nur, wenn die Anzahl der Seiten größer 1 ist.
v1.2.50: User-Passwort muss mindestens 4 Zeichen lang sein.
v1.2.49: Im Backend Seiten-Navigation für News hinzugefügt.
v1.2.48: Variable $SetupFrontendCalendarGigDetailsShowEmptyAttributes in gigkalender.ini.php definiert, ob in der Detail-Ansicht des Frontends leere Attribute angezeigt werden sollen.
v1.2.47: In gigkalender.ini.php kann mit der Variable $SetupFrontendCalendarCurrentMonthShowPastGigs definiert werden, ob die Monats-Ansicht des Frontend-Kalenders vergangene Termine anzeigen soll oder nicht.
v1.2.46: URL's der Frontend-Ansichten können in gigkalender.ini.php definiert werden.
v1.2.45_054: Bugfix: Frontend: Kalender: Liste/Tabelle: GigDetails zeigt mehrere Termine gleichzeitig, wenn mehrere Termine an dem Tag vorhanden.
v1.2.45_053: Bugfix: Beim Einbinden in bestehende Webseite: Warning: include(../includes/error_reporting.php) [function.include]: failed to open stream: No such file or directory in gigkalender\calendar\month.php on line 7
v1.2.45_052: Frontend: Gästebuch: Grafiken ausgetauscht: Löschen, Bearbeiten und Hinzufügen.
v1.2.45_051: Bugfix: Beim News-Import v1.2 werden Sonderzeichen im News-Titel in HTML-Entities umgewandelt
v1.2.45_050: Bugfix: News-Feeds: bestimmte Sonderzeichen im News-Titel erzeugen fehlerhaften XML-Code
v1.2.45_049: Bugfix: Links in Atom- und RSS-Feed öffnen teilweise falsche Seite
v1.2.45_048: Bugfix: Backend: Admin: Setup: Frontend: Zeitraum: wenn Parameter nicht gesetzt, wird dennoch 'alle Gigs' angezeigt
v1.2.45_047: Bugfix: Backend: Admin: Setup: Frontend: Sprache: wenn Parameter nicht gesetzt, wird dennoch 'deutsch' angezeigt
v1.2.45_046: Bugfix: Backend: Admin: Setup: Frontend: Kalender-Ansicht: wenn Parameter nicht gesetzt, wird dennoch 'Liste' angezeigt
v1.2.45_045: Bugfix: bei Import von CSV-Dateien mit Zeilenlänge > 1000 Zeichen -> Importfehler.
v1.2.45_044: Backend: Filesharing: Dateigröße rechtsbündig ausgerichtet
v1.2.45_043: Bugfix: Backend: String-Fehler: Bist Du sicher, dass Du die CSV-Dateien importieren möchten?
v1.2.45_042: Backend: Gästebuch: ICQ-Icon erneuert.
v1.2.45_041: Überflüssige Grafiken entfernt
v1.2.45_040: Bugfix: Frontend: Gästebuch: Admin-Links sind falsch.
v1.2.45_039: Bugfix: Gästebuch-Administration per eMail: Links in eMail sind falsch.
v1.2.45_038: Bugfix: Frontend: Gästebuch-Eintrag hinzufügen: Reload-Sperre funktionierte nicht
v1.2.45_037: Bugfix: Frontend: Gästebuch-Eintrag hinzufügen: Folge Seite fehlen div-Tags vom GigKalender
v1.2.45_036: Bugfix: Frontend: Gästebuch-Eintrag hinzufügen: Folge Seite fehlen div-Tags vom GigKalender
v1.2.45_035: Bugfix: Notice: Undefined variable: Gig in F:\Eigene Dateien\PaderDesign\Projekte\0026 christinedueweke.de\intern\01 Website\Arbeitsversion\gigkalender\calendar\backend_showGig.php on line 107
v1.2.45_034: Bugfix: Notice: Undefined index: timestamp in F:\Eigene Dateien\PaderDesign\Projekte\0026 christinedueweke.de\intern\01 Website\Arbeitsversion\gigkalender\calendar\backend_showGig.php on line 16
v1.2.45_033: Bugfix: aus Listenansicht kommend: Notice: Undefined variable: timestamp in F:\Eigene Dateien\PaderDesign\Projekte\0026 christinedueweke.de\intern\01 Website\Arbeitsversion\gigkalender\admin\includes\editAttributes.php on line 218
v1.2.45_032: Bugfix: backend_showGuestbookEntry.php zeigte leeren ICQ-Eintrag als '0'
v1.2.45_031: Bugfix: Notice: Undefined variable: GigDate in F:\Eigene Dateien\PaderDesign\Projekte\0026 christinedueweke.de\intern\01 Website\Arbeitsversion\gigkalender\guestbook\backend_showGuestbookEntry.php on line 26
v1.2.45_030: Bugfix: Notice: Undefined variable: xUserRightDeleteGuestbookEntries in F:\Eigene Dateien\PaderDesign\Projekte\0026 christinedueweke.de\intern\01 Website\Arbeitsversion\gigkalender\guestbook\backend_showAllGuestbookEntries.php on line 63
v1.2.45_029: Bugfix: Notice: Undefined variable: xUserRightEditGuestbookEntries in F:\Eigene Dateien\PaderDesign\Projekte\0026 christinedueweke.de\intern\01 Website\Arbeitsversion\gigkalender\guestbook\backend_showAllGuestbookEntries.php on line 62
v1.2.45_028: Bugfix: Notice: Undefined variable: xUserRightDeleteGuestbookEntries in F:\Eigene Dateien\PaderDesign\Projekte\0026 christinedueweke.de\intern\01 Website\Arbeitsversion\gigkalender\guestbook\backend_showAllGuestbookEntries.php on line 61
v1.2.45_027: Bugfix: Frontend: Leeres Gästebuch zeigt keine Grafik im Eintragen-Link
v1.2.45_026: Bugfix: Backend: eMail: eMail: Fehlender Doppelpunkt hinter 'Nachricht'
v1.2.45_025: Bugfix: Ordner 'export' fehlt
v1.2.45_024: Bugfix: Mehrere Links im Frontend enthielten das Zeichen &.
v1.2.45_023: Bugfix: Backend: Gästebuch: Nach Aufruf letzter Seite und erhöhen der Einträge pro Seite wird leere Seite gezeigt.
v1.2.45_022: Bugfix: Backend: Gästebuch: Seiten >1 lassen sich nicht aufrufen.
v1.2.45_021: Bugfix: Frontend: Gästebuch: Mail-Formular: Formular-Strings waren nicht als Variablen definiert.
v1.2.45_020: Bugfix: Frontend: Kalender: Das Attribut 'Beginn' wurde als festes Attribut mit dem Datum angezeigt.
v1.2.45_019: Bugfix: Beim Import von News wurden HTML-Tags im News-Text mit der Funktion htmlspecialchars() in Sonderzeichen umgewandelt.
v1.2.45_018: Bugfix: Frontend: Gästebuch: eMail-Link führte zur Startseite wenn Gästebuch in Webseite eingebunden.
v1.2.45_017: Bugfix: Frontend-Ansicht 'Gästebuch-Eintrag hinzufügen' ließ sich nicht wie im Beispiel einbinden.
v1.2.45_016: Bugfix: Funktion convertISO8601ToTimestamp() gab bei falschem Datums-String während News-Import den Datums-String aus.
v1.2.45_015: Bugfix: Link aus NewsReader bei NewsID=35 bei 35 veröffentlichter News führt zu leerer Seite
v1.2.45_014: Bugfix: Nummerierung der News in NewsFeeds verkehrt herum
v1.2.45_013: Bugfix: In NewsFeeds fehlerhafte URLs wenn $SetupNewsChannelURL kein ? enthält.
v1.2.45_012: Bugfix: Im Backend wurden die Grafiken der Gästebucheinträge nicht angezeigt.
v1.2.45_011: Sprachdatei 'english.php' überarbeitet.
v1.2.45_010: Datei 'includes/funktionen.php' verschoben in Ordner 'functions' und umbenannt in 'standard.php'.
v1.2.45_009: Bugfix: Frontend-Seiten sind teilweise XHTML-Transitional definiert!
v1.2.45_008: Bugfix: Undefined variable: L_ERROR_eMail_could_not_be_sent in \functions\guestbook.php on line 65
v1.2.45_007: Datei 'includes/funktionen.php' umbenannt in 'includes/functions.php'
v1.2.45_006: Bugfix: Frontend-Ansichten des Kalenders für verg. Gigs zeigt String für zukünf. Gigs, falls keine zukünft. Gigs eingetragen
v1.2.45_005: Bugfix: Frontend-Ansichten des Kalenders zeigen keine vergangenden Gigs, wenn keine zukünftigen Eingetragen sind
v1.2.45_004: Bugfix: Frontend in Englisch: 'mehr...' übersetzen
v1.2.45_003: Bugfix: Frontend: Punkt hinter Monatszahl in Liste fehlt
v1.2.45_002: Bugfix: Wenn OrtsString leer, keinen Link zu GoogleMaps!
v1.2.45_001: Bugfix: GigAttribute mit einem '-' am Anfang, erzeugen nach Export in Excel einen Fehler.
v1.2.45: Die Frontend-Ansichten 'Tabelle' und 'Liste' und deren Unterarten wurden zusammengefasst zum 'Kalender'.
v1.2.44: Im Setup kann definiert werden, ob alle, zukünftige oder vergangene Gigs im Frontend angezeigt werden sollen.
v1.2.43: Im Setup kann definiert werden, ob der Frontend-Kalender als Liste oder Tabelle dargestellt wird.
v1.2.42: Im Setup kann definiert werden, wieviele Zeichen in einem Frontend-Feld angezeigt werden sollen.
v1.2.41: Im Setup kann definiert werden, ob im Frontend Spalten-Köpfe angezeigt werden sollen.
v1.2.40: Im Setup kann definiert werden, ob Monats-Namen als Trenner im Frontend angezeigt werden sollen.
v1.2.39: Die Gig-Attribute für Backend und Frontend lassen sich nun jeweils über einen Editor bearbeiten.
v1.2.38: Das Gästebuch kann nun aus dem Backend heraus verwaltet werden.
v1.2.37: Unter 'Hilfe->Forum' sind nun die letzten Beiträge aus dem Forum aufgelistet.
v1.2.36: Die Benutzer-Übersicht zeigt nun die Rechte einzelner User an.
v1.2.35: Im Admin-Bereich unter 'Import' lassen sich Daten vom GigKalender v08.02.25 importieren.
v1.2.34: Im Admin-Bereich unter 'Import' lassen sich Daten vom GigKalender v1.1 importieren.
v1.2.33: In Listen-Ansicht des Backend-Kalenders lässt sich die Anzahl angezeigter Termine von 1 bis 100 einstellen.
v1.2.32: Im Setup kann definiert werden, ob mehrere Termine pro Tag zugelassen werden sollen oder nicht.
v1.2.31: Im Bereich 'FileSharing' neue Seite 'Videos'.
v1.2.30: Im Bereich 'FileSharing' neue Seite 'Noten'.
v1.2.29: Im Bereich 'FileSharing' werden die Dateien nach Dateinamen sortiert.
v1.2.28: Im Setup können die Gig-Attribute des Frontends definiert werden.
v1.2.27: Admins können in Userprofilen das Recht vergeben, News zu schreiben, bearbeiten löschen.
v1.2.26: Admins können in Userprofilen das Recht vergeben, Emails zu verschicken.
v1.2.25: Im Bereich 'FileSharing' können Dateien mit unzulässigen Zeichen im Dateinamen per Knopfdruck umbenannt werden.
v1.2.24: Im Setup können die Attribute definiert werden, welche im Formular zum Hinzufügen und Ändern von Terminen angezeigt werden sollen.
v1.2.23: Im Setup kann definiert werden, ob private Gigs im Frontend erlaubt sind.
v1.2.22: Im Setup kann definiert werden, ob optionale Gigs im Frontend erlaubt sind.
v1.2.21: Termine können in Listen-Ansicht des Backends als 'privat' definiert werden.
v1.2.20: Termine können aus Listen-Ansicht des Backends für eine Auflistung im Frontend freigeschaltet werden.
v1.2.19: Felder in Listen-Ansicht des Backends werden nach x Zeichen abgeschnitten (einstellbar über Variable '$CharsCalenderListFields' in 'gigkalender.ini.php')
v1.2.18: Spalten in Listen-Ansicht des Kalenders im Backend enthalten wenn vorhanden URLs.
v1.2.17: Im User-Profil lässt sich definieren, welche Spalten in der Listen-Ansicht des Kalenders im Backend angezeigt werden.
v1.2.16: Lizenz wird vor der Installation und im Backend unter 'Hilfe' angezeigt.
v1.2.15: Neues Gig-Attribut 'Hinzugefügt am'
v1.2.14: Neues Gig-Attribut 'Hinzugefügt durch'
v1.2.13: Neues Gig-Attribut 'Zuletzt bearbeitet durch'
v1.2.12: Menüpunkt 'Hilfe' inclusive der Seiten 'Forum' und 'Spenden' hinzugefügt.
v1.2.11: Neues Gig-Attribut 'Letzte Änderung'.
v1.2.10: Neues Gig-Attribut 'Eintritt'.
v1.2.9: Neues Gig-Attribut 'Künstler-URL'.